#2208 closed enhancement (fixed)

Script to make a ChangeLog for releases.

Reported by: Chris Johns Owned by: Amar Takhar
Priority: lowest Milestone: 4.11
Component: config Version: 4.10
Severity: trivial Keywords: changelog release
Cc: Blocked By:
Blocking:

Description

The script makes a ChangeLog? from a git repo that might be suitable for release tarballs.

Attachments (2)

0001-admin-Provide-a-script-to-create-a-ChangeLog-for-tar.patch (902 bytes) - added by Chris Johns on Dec 3, 2014 at 7:17:11 AM.
rtems_log.py (1.3 KB) - added by Amar Takhar on Mar 7, 2015 at 4:51:37 AM.
ChangeLog? generator.

Download all attachments as: .zip

Change History (8)

comment:1 Changed on Dec 6, 2014 at 3:37:40 PM by Gedare Bloom

Might want to generate ChangeLogs for subdirectorirs instead of the whole repo by passing an additional path at the end of the log command and before the pipe to unexpand.

The formatting is not the same as changelog but I don't know if that matters.

Last edited on Dec 7, 2014 at 4:28:36 AM by Gedare Bloom (previous) (diff)

comment:2 Changed on Mar 7, 2015 at 4:51:04 AM by Amar Takhar

I wrote this in python using pygit2 it gives the following output The full log is 4MB in size.

2015-03-07  19a1f6b  Joel Sherrill <joel.sherrill@oarcorp.com>
  Temporarily disable libdl for h8300

  The h8300 gets a linking error for the dl0* tests. This temporarily
  disables libdl until that can be investigated.

  updates 2284.

  M cpukit/configure.ac
  M testsuites/libtests/configure.ac

  
2015-03-05  f3a5782  Sebastian Huber <sebastian.huber@embedded-brains.de>
  bsp/qoriq: Fix warning
  
  M c/src/lib/libbsp/powerpc/qoriq/irq/irq.c

Changed on Mar 7, 2015 at 4:51:37 AM by Amar Takhar

Attachment: rtems_log.py added

ChangeLog? generator.

comment:3 Changed on Mar 7, 2015 at 4:52:10 AM by Amar Takhar

Owner: set to Amar Takhar
Status: newaccepted

comment:4 Changed on Mar 7, 2015 at 4:28:58 PM by Amar Takhar

Resolution: fixed
Status: acceptedclosed

Closing this ticket it has been linked from Developer/Release.

The script will be folded into the waf build when doing make dist. For now it can be run manually for any other branches.

comment:5 Changed on Mar 8, 2015 at 10:17:32 AM by Chris Johns

How do we make the 4.11 release ? Can this script be used and so should be put in 4.11 so it lives on the branch ?

comment:6 Changed on Mar 8, 2015 at 2:16:33 PM by Amar Takhar

I was planning on doing that once we decided it produced a good result.

Note: See TracTickets for help on using tickets.